package com.fxkc.care;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author JYH
 * @date 2024/12/13 16:56
 * @describe
 */
@EnableAsync
@SpringBootApplication(exclude = DruidDataSourceAutoConfigure.class)
@EnableSwagger2
@EnableTransactionManagement
@ServletComponentScan
@MapperScan("com.fxkc.care.mapper")
@EnableAspectJAutoProxy
@EnableScheduling
public class CrowdCareApplication {

    public static void main(String[] args) {
        SpringApplication.run(CrowdCareApplication.class, args);
    }

}
