package com.fxkc.care.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.fxkc.care.utils.RequestUtil;
import com.fxkc.care.vo.UserInfoVO;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * mybatis-plus自动填充
 */
@Component
public class CustomMetaObjectHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        this.strictInsertFill(metaObject, "createTime", Date.class, new Date());
        UserInfoVO userInfo = RequestUtil.getUserInfo();
        if (userInfo != null) {
            this.strictInsertFill(metaObject, "createUser", String.class, userInfo.getUsername());
        } else {
            this.strictInsertFill(metaObject, "createUser", String.class, "auto");
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.strictUpdateFill(metaObject, "updateTime", Date.class, new Date());
        UserInfoVO userInfo = RequestUtil.getUserInfo();
        if (userInfo != null) {
            this.strictUpdateFill(metaObject, "updateUser", String.class, userInfo.getUsername());
        } else {
            this.strictUpdateFill(metaObject, "updateUser", String.class, "auto");
        }
    }
}
