package com.fxkc.care.controller;

import com.fxkc.care.common.AjaxResult;
import com.fxkc.care.service.IUserInfoService;
import com.fxkc.care.vo.UserInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @author JYH
 * @date 2024/12/14 16:31
 * @describe
 */
@Api(value = "登录管理", tags = {"登录管理"})
@RestController
@RequestMapping("/login")
public class LoginController {

    @Autowired
    private IUserInfoService userInfoService;

    @ApiOperation("登录")
    @PostMapping("/doLogin")
    public AjaxResult localLogin(@RequestBody UserInfoVO userInfoVO, HttpServletResponse response) {
        return userInfoService.doLogin(userInfoVO, response);
    }

    @ApiOperation("退出登录")
    @PostMapping("/logout")
    public AjaxResult logout() {
        return userInfoService.logout();
    }

}
