package com.fxkc.care.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author JYH
 * @since 2024-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("MENU_INFO")
@ApiModel(value="MenuInfo对象", description="菜单表")
public class MenuInfo extends Model<MenuInfo> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("ID")
    private String id;

    @ApiModelProperty(value = "父级菜单ID")
    @TableField("PARENT_ID")
    private String parentId;

    @ApiModelProperty(value = "菜单名称")
    @TableField("MENU_NAME")
    private String menuName;

    @ApiModelProperty(value = "菜单类型(1-目录 2-菜单 3-按钮 4-路由)")
    @TableField("MENU_TYPE")
    private Integer menuType;

    @ApiModelProperty(value = "菜单备注")
    @TableField("MENU_DESC")
    private String menuDesc;

    @ApiModelProperty(value = "路由路径")
    @TableField("MENU_ROUTE_PATH")
    private String menuRoutePath;

    @ApiModelProperty(value = "菜单图标")
    @TableField("MENU_ICON")
    private String menuIcon;

    @ApiModelProperty(value = "组件")
    @TableField("MENU_COMPONENT")
    private String menuComponent;

    @ApiModelProperty(value = "排序值")
    @TableField("SORT_NO")
    private Integer sortNo;

    @ApiModelProperty(value = "启用状态 0-启用 1-禁用")
    @TableField("ENABLE_FLAG")
    private Integer enableFlag;

    @ApiModelProperty(value = "删除状态 0-未删除 1-已删除")
    @TableField("DELETE_FLAG")
    private Integer deleteFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    @TableField("CREATE_USER")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    @TableField("UPDATE_USER")
    private String updateUser;

}
