package com.fxkc.care.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 字典子项表
 * </p>
 *
 * @author JYH
 * @since 2024-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SYS_DICT_ITEM")
@ApiModel(value="SysDictItem对象", description="字典子项表")
public class SysDictItem extends Model<SysDictItem> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("ID")
    private String id;

    @ApiModelProperty(value = "字典类型编码")
    @TableField("DICT_TYPE_CODE")
    private String dictTypeCode;

    @ApiModelProperty(value = "字典项代码")
    @TableField("DICT_ITEM_CODE")
    private String dictItemCode;

    @ApiModelProperty(value = "字典项名称")
    @TableField("DICT_ITEM_NAME")
    private String dictItemName;

    @ApiModelProperty(value = "排序值")
    @TableField("SORT_NO")
    private Integer sortNo;

    @ApiModelProperty(value = "删除状态 0-未删除 1-已删除")
    @TableField("DELETE_FLAG")
    private Integer deleteFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    @TableField("CREATE_USER")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    @TableField("UPDATE_USER")
    private String updateUser;

}
