package com.fxkc.care.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author JYH
 * @date 2024/12/13 17:36
 * @describe
 */
@Data
@ApiModel(value = "用户信息dto")
public class UserInfoAddDTO implements Serializable {

    @NotBlank(message = "登录名不能为空")
    @ApiModelProperty(value = "登录名")
    private String loginName;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码")
    private String password;

    @NotBlank(message = "用户名不能为空")
    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

}
